<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables</title>
</head>
<body>
	<!-- Ctrl + shift + V - to paste following codes following the file's format -->
	<h2 align="center">Welcome to the Tables Page</h2>

	<!-- id is an attribute that we add to an element to show a unique indentifier for that element. This can be used for navigating within a page, styling in CSS and even adding features with JavaScript -->

	<!-- Semantic Div - semantic divs are divs with ids that appropriately identifies or is definitive of the purpose of the content. -->

	<div id="navDiv">
		<a href="./index.html">Go to Home Page</a>
		<a href="./form.html">Go to Forms Page</a>
		<a href="../activity/contact.html">Go to Contacts Page</a>
	</div>

	<h3 align="center">HTML Entities</h3>
	<p>
		<em>There are reserved characters in HTML. (e.g. &lt; or &gt;)</em>
	</p>
	<p>
		HTML Entities start with an ampersand (&) and ends in semi-colon. (;)
	</p>
	<!-- 
		table tag allows us to create a table to display data/information in a tabular form: in rows and columns.

		border atrribute when added to a table allow us to determine the thickness of the borders in a table.
	 -->
	 <table border="1">
	 	<!-- tr means table row. It allow us to create a row in an HTML table. -->
	 	<!-- thead is used to group header/heading content which will be labels per column. -->
	 	<thead>
	 		<tr>
	 			<!-- th means table header. It allows us to add cells which will be our headers. Text in this element will be bolded. -->
	 			<!-- colspan attribute allows us to add how many columns a cell will occupy. -->
	 			<!-- rowspan attribute allows us to add how many rows a cell will occupy. -->
	 			<th colspan="2">Entity</th>
	 			<th>Description</th>
	 		</tr>
	 	</thead>
	 	<tbody>
	 		<!-- tbody tag is used to group the body content of an HTML table. This is where the bulk of td or table data will be put. -->
	 		<tr>
	 			<!-- td means table data. These cells have default formatted text unlike th. -->
	 			<td>&lt;</td>
	 			<td>lt</td>
	 			<td>Less Than</td>
	 		</tr>
	 		<tr>
	 			<td>&gt;</td>
	 			<td>gt</td>
	 			<td>Greater Than</td>
	 		</tr>
	 		<tr>
	 			<td>&#8369;</td>
	 			<td>#8369</td>
	 			<td>Peso Sign</td>
	 		</tr>
	 		<tr>
	 			<td>&amp;</td>
	 			<td>amp</td>
	 			<td>Ampersand</td>
	 		</tr>
	 		<tr>
	 			<td>&quot;</td>
	 			<td>quot</td>
	 			<td>Double Quotation Mark</td>
	 		</tr>
	 		<tr>
	 			<td>&apos;</td>
	 			<td>apos</td>
	 			<td>Apostrophe (Single Quotation Mark)</td>
	 		</tr>
	 		<tr>
	 			<td>&ntilde;</td>
	 			<td>ntilde</td>
	 			<td>Lower Tilde</td>
	 		</tr>
	 		<tr>
	 			<td>&Ntilde;</td>
	 			<td>Ntilde</td>
	 			<td>Upper Tilde</td>
	 		</tr>
	 	</tbody>
	 	<!-- tfoot is used to group footer content in an HTML table. It allows us to add misc content related to the table. -->
	 	<tfoot>
	 		<tr>
	 			<th colspan="3">These are the common HTML Entities. There are many more to be learned.</th>
	 		</tr>
	 	</tfoot>
	 </table>
	 <hr>
	 <h3>My Product List</h3>
	 <table border="1">
	 	<thead>
	 		<tr>
	 			<th>Name</th>
	 			<th>Price</th>
	 			<th>Description</th>
	 		</tr>
	 	</thead>
	 	<tbody>
	 		<tr>
	 			<td>Laptop</td>
	 			<td>&#8369;50,000.00</td>
	 			<td>Asus Chromebook Laptop</td>
	 		</tr>
	 		<tr>
	 			<td>Cellphone</td>
	 			<td>&#8369;69,990.00</td>
	 			<td>Samsung Galaxy S21 Ultra+ 5G</td>
	 		</tr>
	 		<tr>
	 			<td>Headphones</td>
	 			<td>&#8369;19,999.00</td>
	 			<td>Sony WH-1000XM4 Industry-Leading Noise-Cancelling Headphones with Alexa Voice Control</td>
	 		</tr>
	 		<tr>
	 			<td>Prepaid WiFi</td>
	 			<td>&#8369;1,999.00</td>
	 			<td>Globe Prepaid WiFi</td>
	 		</tr>
	 		<tr>
	 			<td>Tumbler</td>
	 			<td>&#8369;700.00</td>
	 			<td>Hydr8 Spill-Free tumbler</td>
	 		</tr>
	 	</tbody>
	 </table>
</body>
</html>